<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parser/StatusGuard.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Parser::StatusGuard</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>
</div><div class="class-name">class <a href="../Parser.html" >Parser</a>::StatusGuard

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Parser.hh.html" target="detail">../Synopsis/Parser.hh</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line68" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"><p>A StatusGuard manages a tentative parse.
All actions invoked after its instantiation
will be rolled back in the destructor unless
'commit' has been called before.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="StatusGuard_lParser_A_r">StatusGuard</a>(<a href="../Parser.html" >Parser</a>&amp;)  </div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mStatusGuard_lParser_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line71" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>destructor</i> <a class="name" id="_tStatusGuard_l_r">~StatusGuard</a>()  </div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_m_tStatusGuard_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line72" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="commit_l_r">commit</a>()  </div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mcommit_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line73" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../Lexer.html" >Lexer</a>&amp; <a class="name" id="my_lexer">my_lexer</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mmy_lexer" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line76" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;char* <a class="name" id="my_token_mark">my_token_mark</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mmy_token_mark" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line77" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="../Parser.html#ErrorList" >ErrorList</a> <a class="name" id="my_errors">my_errors</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mmy_errors" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line78" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">Parser::ErrorList::size_type <a class="name" id="my_error_mark">my_error_mark</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mmy_error_mark" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line79" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_committed">my_committed</a></div> <div class="xref"><a href="../../../XRef/xref19.html#Synopsis_mParser_mStatusGuard_mmy_committed" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Parser.hh.html#line80" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
